Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

classic Classic list List threaded Threaded
16 messages Options
Reply | Threaded
Open this post in threaded view
|

Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

Opensimfan
Hi,

i'm haviing trouble with Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian).
with MySQL.  on Window, no problem..  WEIRD..!!

anyone else have problems or is it just me... have to keep testing..
i will provide error messages later....

thanks
_________________________________________
OpenSimFan

My Opensim/Second Life Blog
http://verwijs.wordpress.com

(Dutch, basic hardware/software help windows, Mac, Linux)
http://verwijs-pc.nl

My Twitter Page:
http://twitter.com/OpenSimFan

My Facebook page (be my friend, please )
http://www.facebook.com/andre.verwijs

My Google+ page (follow me please )
André Verwijs - Google+
Reply | Threaded
Open this post in threaded view
|

Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

Karen Palen
I have run the Diva distro for 0.6.8 and 0.7.01 (0.7.1 is not released yet) on Ubuntu 10,04 and 9.10 with no OS related problems.

I have found and reported a few bugs though :-)

If you haven't already done so I suggest trying the Diva distro if only to get a baseline config which works!

Diva's install instructions are first class.

Karen

On Sun, Sep 5, 2010 at 4:09 AM, DutchGlory <[hidden email]> wrote:

Hi,

i'm haviing trouble with Opensim 0.7.1 and opensim 0.6.9 postfixes not
working on Linux (debian).
with MySQL

anyone else have problems or is it just me... have t keep testing..
i will provide error messages later....

thanks

--
View this message in context: http://opensim-users.2152040.n2.nabble.com/Opensim-0-7-1-and-opensim-0-6-9-postfixes-not-working-on-Linux-debian-tp5500194p5500194.html
Sent from the opensim-users mailing list archive at Nabble.com.
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users


_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

Opensimfan
thank you Karen,

the problems i have are related to MySQL.  i will try to re-install opensim on linux to see if it works. if not i will post errors here...


Thanks
_________________________________________
OpenSimFan

My Opensim/Second Life Blog
http://verwijs.wordpress.com

(Dutch, basic hardware/software help windows, Mac, Linux)
http://verwijs-pc.nl

My Twitter Page:
http://twitter.com/OpenSimFan

My Facebook page (be my friend, please )
http://www.facebook.com/andre.verwijs

My Google+ page (follow me please )
André Verwijs - Google+
Reply | Threaded
Open this post in threaded view
|

Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

Opensimfan
hi all, I FINALLY got OpenSim 0.7.1 to work in grid mode.... on Debian (6.0) "Squeeze"... pffff
I had to copy .example file a couple of time before i got rid of all the errors... but...its working..!!!

Dutch...
_________________________________________
OpenSimFan

My Opensim/Second Life Blog
http://verwijs.wordpress.com

(Dutch, basic hardware/software help windows, Mac, Linux)
http://verwijs-pc.nl

My Twitter Page:
http://twitter.com/OpenSimFan

My Facebook page (be my friend, please )
http://www.facebook.com/andre.verwijs

My Google+ page (follow me please )
André Verwijs - Google+
Reply | Threaded
Open this post in threaded view
|

Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

Jor3l Boa
Is the group module configured? (Simian or Floatsam) anyway they do not work for me and my 0.7.1 install :s

On Wed, Sep 8, 2010 at 2:17 PM, DutchGlory <[hidden email]> wrote:
hi all, I FINALLY got OpenSim 0.7.1 to work in grid mode.... on Debian (6.0) "Squeeze"... pffff
I had to copy .example file a couple of time before i got rid of all the errors... now i have ony one minor error, with groups
21:10:28 - [SIM SERVICE]: Starting...
21:10:28 - [GROUPS-MESSAGING]: Could not get IGroupsServicesConnector, GroupsMessagingModule is now disabled.
21:10:28 - [GROUPS]: Could not get IGroupsServicesConnector
21:10:28 - [XEngine]: Hooking up to server events
21:10:28 - [Compiler]: Allowed languages: lsl
not sure how yet how to solve this bug.... but it working..!!!

Dutch...

View this message in context: Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

Sent from the opensim-users mailing list archive at Nabble.com.

_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users



_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

Opensimfan
hi, thanks for reply

I got it to work now, xmlrpc serviceconnector was commented out, when i enable it, all worked fine....

see opensim.log output..
http://pastebin.mozilla.org/786491
_________________________________________
OpenSimFan

My Opensim/Second Life Blog
http://verwijs.wordpress.com

(Dutch, basic hardware/software help windows, Mac, Linux)
http://verwijs-pc.nl

My Twitter Page:
http://twitter.com/OpenSimFan

My Facebook page (be my friend, please )
http://www.facebook.com/andre.verwijs

My Google+ page (follow me please )
André Verwijs - Google+
Reply | Threaded
Open this post in threaded view
|

Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

Karen Palen
It is always the really simple things that are the hardest to figure out - "is the power plug pulled from the wall?"

Sigh - been there DONE that :-(

Karen

On Thu, Sep 9, 2010 at 11:43 AM, DutchGlory <[hidden email]> wrote:

hi, thanks for reply

I got it to work now, xmlrpc serviceconnector was commented out, when i
enable it, all worked fine....

see opensim.log output..
http://pastebin.mozilla.org/786491

--
View this message in context: http://opensim-users.2152040.n2.nabble.com/Opensim-0-7-1-and-opensim-0-6-9-postfixes-not-working-on-Linux-debian-tp5500194p5515626.html
Sent from the opensim-users mailing list archive at Nabble.com.
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users


_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

Opensimfan
thank you Karen,


LOL  yes, sometimes it can be a pain to make everything work. Especially on Linux because open-simulator is not written for Linux,
yes ok we all "fiddle" on linux but it will never be idle..
 
Dutch...

ok, next: 0.6.9 for OSGRID ...
_________________________________________
OpenSimFan

My Opensim/Second Life Blog
http://verwijs.wordpress.com

(Dutch, basic hardware/software help windows, Mac, Linux)
http://verwijs-pc.nl

My Twitter Page:
http://twitter.com/OpenSimFan

My Facebook page (be my friend, please )
http://www.facebook.com/andre.verwijs

My Google+ page (follow me please )
André Verwijs - Google+
Reply | Threaded
Open this post in threaded view
|

Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

Jor3l Boa
Will move to windows server and see if more problems appear hehe

On Thu, Sep 9, 2010 at 11:09 PM, DutchGlory <[hidden email]> wrote:

thank you Karen,


LOL  yes, sometimes it can be a pain to make everything work. Especially on
Linux because open-simulator is not written for Linux, yes ok we all
"fiddle" on linux but it will never be idle..

Dutch...

ok, next: 0.6.9 for OSGRID ...
--
View this message in context: http://opensim-users.2152040.n2.nabble.com/Opensim-0-7-1-and-opensim-0-6-9-postfixes-not-working-on-Linux-debian-tp5500194p5517070.html
Sent from the opensim-users mailing list archive at Nabble.com.
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users


_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

Karen Palen
In reply to this post by Opensimfan
So far I have noted very few OS related problems - going back to OpenSim V0.4! A 30 second scan of the Mantis log tends to support this.

Since many of the devs and beta testers prefer to work in Linux/Mac those bugs tend to be ironed out very quickly.

True C#/.NET are Microsoft "traps", but the biggest hassle so far has been to get the correct and complete version of either mono or .NET!

In my experience with OpenSIm I have seen just as many problems with .NET as with mono. Certain other "portable" software is a different story!

Karen

On Thu, Sep 9, 2010 at 9:09 PM, DutchGlory <[hidden email]> wrote:

thank you Karen,


LOL  yes, sometimes it can be a pain to make everything work. Especially on
Linux because open-simulator is not written for Linux, yes ok we all
"fiddle" on linux but it will never be idle..

Dutch...

ok, next: 0.6.9 for OSGRID ...
--
View this message in context: http://opensim-users.2152040.n2.nabble.com/Opensim-0-7-1-and-opensim-0-6-9-postfixes-not-working-on-Linux-debian-tp5500194p5517070.html
Sent from the opensim-users mailing list archive at Nabble.com.
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users


_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

Jor3l Boa
Thats the problem with cross platform software

On Thu, Sep 9, 2010 at 11:39 PM, Karen Palen <[hidden email]> wrote:
So far I have noted very few OS related problems - going back to OpenSim V0.4! A 30 second scan of the Mantis log tends to support this.

Since many of the devs and beta testers prefer to work in Linux/Mac those bugs tend to be ironed out very quickly.

True C#/.NET are Microsoft "traps", but the biggest hassle so far has been to get the correct and complete version of either mono or .NET!

In my experience with OpenSIm I have seen just as many problems with .NET as with mono. Certain other "portable" software is a different story!

Karen


On Thu, Sep 9, 2010 at 9:09 PM, DutchGlory <[hidden email]> wrote:

thank you Karen,


LOL  yes, sometimes it can be a pain to make everything work. Especially on
Linux because open-simulator is not written for Linux, yes ok we all
"fiddle" on linux but it will never be idle..

Dutch...

ok, next: 0.6.9 for OSGRID ...
--
View this message in context: http://opensim-users.2152040.n2.nabble.com/Opensim-0-7-1-and-opensim-0-6-9-postfixes-not-working-on-Linux-debian-tp5500194p5517070.html
Sent from the opensim-users mailing list archive at Nabble.com.
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users


_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users



_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

M.E. Verhagen
"I had to copy .example file a couple of time before i got rid of all the errors... now i have ony one minor error, with groups"

That sounds familiar, one miror error left ... somehow always new minor errors seem to pop up.

This group module works for me:
Modified flotsam XmlRpcGroup by NSL: svn co http://www.nsl.tuis.ac.jp/svn/opensim/fl​otsam_XmlRpcGroup/trunk flotsam_XmlRpcGroup




_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

InuYasha Meiji
Yes, but on which version of opensim??  Unless Flotsem makes a new version to use the newer database structure for usenames then it won't work right in the newer 0.7.0.1+ Opensim version.  Anyone, let me know when the other moduels also start to become compatible with the new 7.0.1+ versions.  I am waiting to install Groups, profiles and searches. 

I run version 7.0.1 OS, on a quad core 2.2ghz, 8 gig of ram and 49 regions.  Seems to run fine,.  I let opensim do the database upgrade from 6.9 without any problems that I know of.  I am only waiting for those moduels to become compatible to try them again.

Thanks all of you for all the help.  So many questions asked and answered in here, before I even asked them myself.  I just want to thank you all for that.


On 9/10/2010 5:09 AM, M.E. Verhagen wrote:
"I had to copy .example file a couple of time before i got rid of all the errors... now i have ony one minor error, with groups"

That sounds familiar, one miror error left ... somehow always new minor errors seem to pop up.

This group module works for me:
Modified flotsam XmlRpcGroup by NSL: svn co http://www.nsl.tuis.ac.jp/svn/opensim/fl​ otsam_XmlRpcGroup/trunk flotsam_XmlRpcGroup



_______________________________________________ Opensim-users mailing list [hidden email] https://lists.berlios.de/mailman/listinfo/opensim-users


_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

M.E. Verhagen
It works on the 0.7.0.1 and the 0.7.1 dev version.

the profile and the searches also. (with a few minor things not, like not showing the events on the map and so)


_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

Opensimfan
In reply to this post by Opensimfan
i'm using opensim 0.7.1  git master and 0.6.9 post-fixes (latest git). opensim 0.7.1  git master works without any errors for me, so all good for me.

and i'm using Debain (6.0) "Squeeze"  witch is a testing version of debian, so not everything is stable.
it better to use stable version of linux if your running multiple regions and make backups, you don't want to lose stuff... (you can even use " timer_Script"  option in opensim.ini )


dutch
_________________________________________
OpenSimFan

My Opensim/Second Life Blog
http://verwijs.wordpress.com

(Dutch, basic hardware/software help windows, Mac, Linux)
http://verwijs-pc.nl

My Twitter Page:
http://twitter.com/OpenSimFan

My Facebook page (be my friend, please )
http://www.facebook.com/andre.verwijs

My Google+ page (follow me please )
André Verwijs - Google+
Reply | Threaded
Open this post in threaded view
|

Re: Opensim 0.7.1 and opensim 0.6.9 postfixes not working on Linux (debian)

Jor3l Boa
Will look at floatsam and update it to 0.7.. :)

On Fri, Sep 10, 2010 at 10:06 AM, DutchGlory <[hidden email]> wrote:

i'm using opensim 0.7.1  git master and 0.6.9 post-fixes (latest git).
opensim 0.7.1  git master works without any errors for me, so all good for
me.

and i'm using Debain (6.0) "Squeeze"  witch is a testing version of debian,
so not everything is stable.
it better to use stable version of linux if your running multiple regions
and make backups, you don't want to lose stuff... (you can even use "
timer_Script"  option in opensim.ini )


dutch
--
View this message in context: http://opensim-users.2152040.n2.nabble.com/Opensim-0-7-1-and-opensim-0-6-9-postfixes-not-working-on-Linux-debian-tp5500194p5518614.html
Sent from the opensim-users mailing list archive at Nabble.com.
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users


_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users